Index: /BOL/LMDZ_Setup/README0_HowTo
===================================================================
--- /BOL/LMDZ_Setup/README0_HowTo	(revision 5466)
+++ /BOL/LMDZ_Setup/README0_HowTo	(revision 5467)
@@ -1,12 +1,14 @@
-===================================================================
-LMDZ_Setup is a software suite for installing LMDZ and automatically
-automatically run a number of configurations.
-Authors: Frédéric Hourdin, Adriana Sima, Amaury Baral, Laurent Fairhead (and the LMDZ team)
-
-Last modification : 2024/12/19
-===================================================================
-
+  ********************************************************************
+  *                                                                  *
+  *  LMDZ_Setup is a software suite for installing and running LMDZ  *
+  *                                                                  *
+  ********************************************************************
+
+Authors: Frédéric Hourdin, Adriana Sima, Amaury Baral, Laurent Fairhead
+(and the LMDZ team)
+Last modification : 2025/01/07
 Complementary information and FAQ (in French) :
 https://docs.google.com/document/d/1OLZG6e-86NiXuv5-aALxKIh-QPkp4BdCwWtiBFot-6c
+
 
 
@@ -27,7 +29,4 @@
 ===================================================================
 
-This tutorial can only be used on jean-zay computer at idris so far.
-    However, extension to ciclad or irene will be done soon.
-
 It proposes a light automatic setup of LMDZ long chained climate simulations
    including installation of the model itself.
@@ -47,34 +46,35 @@
    basis, while otherwise, it can be either monthly or yearly.
 
-Since the tutorial automatically generates its own initial files, it
-   can be run with zoom configurations by only changing the number
-   of grid points ("resol" in main.sh) and the DEF/gcm.def file (see bellow).
-
-Aerosols can be read for the year 2000 (weighted average  over 1999-2001 cf Lurton et al 2020),
-  and instantaneous forcing with respect to 1850 can be computed as well.
-  NEW (end 2020) :
-	tutorial_prod can also run LMDZ coupled with the SPLA model
-	(SimPLe Aerosol, activated with option aerosols=spla in setup.sh). 
-	Emissions of dust and sea salt are then computed interactively.
-        2021-05 : tutorial_prod OK, code LMDZ-SPLA OK, 
-		regridding SPLA input files : work in progress
-
-A configuration with isotopes is also available since 2023-04.
-   
+Since it automatically generates its own initial files, it can be run with
+   zoom configurations by only changing the number of grid points ("resol"
+   in main.sh) and the DEF/gcm.def file (see bellow).
+
+Aerosols can be :
+   - not taken into account
+   - read for the year 2000 (weighted average  over 1999-2001 cf Lurton et al
+   2020), and instantaneous forcing with respect to 1850 can be computed
+   as well.
+   - computed interactively the SPLA model
+   (SimPLe Aerosol, activated with option aerosols=spla in setup.sh). 
+   Emissions of dust and sea salt are then computed interactively.
+
+A configuration with isotopes is also available.
+
+
 ===================================================================
 II. Files and scripts
 ===================================================================
+
 ----------------------------------------------------------------
-     EXPERT :
-     If the login groupe and computing allocation groupe are different :
-       choose on which STORE space you work (login vs computing allocation);
-       edit lmdz_env.sh, and set "groupe", "SCRATCHD" etc. accordingly.
-     If you want to install the package in a dedicated folder instead of the root of $STORE:
-       set STORED=$STORE/your_folder in lmdz_env.sh 
+EXPERT on super computing centers :
+If the login groupe and computing allocation groupe are different :
+choose on which STORE space you work (login vs computing allocation);
+edit lmdz_env.sh, and set "groupe", "SCRATCHD" etc. accordingly.
 ----------------------------------------------------------------
 
 main.sh : a script written to pass options to the main script setup.sh
-
-setup.sh : sets up one (series of) simulation(s) by editing the "job" script_SIMU
+    and configure one or series of simulations.
+
+setup.sh : sets up one simulation by editing the "job" script_SIMU
     When run with -init 1 options, creates INIT and LIMIT directories
     Run ./setup.sh -h   for options
@@ -90,8 +90,4 @@
    To be run manually after the first use of main.sh
 
-era2gcm_uv10m.nc : for option "aerosols=spla" only : 
-     to interpolate reanalysis 10m-winds onto the GCM grid, for sea-salt (and dust) emissions.
-        To be run manually after the first use of main.sh.
-
 season.sh : computing seasonal means and daily time series
 
@@ -101,13 +97,17 @@
 post_season.sh : post processing a series of simulations with season.sh
 
-test_ERAfiles_JeanZay.sh : script to test the availability of ERA* files sur Jean-Zay
-    In case of nudging, one may use it before running era2gcm.sh		
+test_ERAfiles_JeanZay.sh : script to test the availability of ERA*
+    files sur Jean-Zay
+    In case of nudging, one may use it before running era2gcm.sh                
 
 DEF: .def files for simulations
-   Some of them are changed by setup.sh or script_SIMU depending on chosen options
-   Some others need to be chosen and customized BEFORE RUNNING the scripts (main.sh or setup.sh):
-     DEF/config.def (versions *.def_* available): output files, frequencies, levels (see lines phys_out_file*)
-     DEF/gcm.def (versions *.def_* available): grid (and grid-related) parameters
-     DEF/guide.def : nudging parameters 
+   Some of them are changed by setup.sh or script_SIMU depending on
+   chosen options
+   Some others need to be chosen and customized BEFORE RUNNING main.sh
+     - DEF/config.def (versions *.def_* available): output files, frequencies,
+     levels (see lines phys_out_file*)
+     - DEF/gcm.def (versions *.def_* available): grid (and grid-related)
+     parameters
+     - DEF/guide.def : nudging parameters 
 
 ============================================================
@@ -120,14 +120,15 @@
 lmdz_env.sh: wget_pub cp_from_pub ln_from_pub get_input_files
 
-One specificity of LMDZ_Setup is to enable installation on any account on any machine,
-downloading data from wget.
+One specificity of LMDZ_Setup is to enable installation on any account
+on any machine, downloading all data from wget.
 All data are gathered on a directory $LMDZpub so that the 
 downloading is done once for all for a given account.
-LMDZsub can be changed on in lmdz_env.sh
-
-This is very small compared to the amount of data generated.
+The LMDZsub path can be changed in lmdz_env.sh
+
+The correponding amount of data is very small compared to the amount
+of data generated.
 So I think we're very parsimonious in our use of IT resources.
-The counterpart is that LMDZ_Setup doesn't manage a lot of different configurations
-in terms of boundary conditions, forcing, etc.
+The counterpart is that LMDZ_Setup doesn't manage a lot of different
+configurations in terms of boundary conditions, forcing, etc.
 libiGCM installations should be privileged then.
 
@@ -154,17 +155,22 @@
           Porté sur adastra et machines locales.
 
-2023-07 (AS-FH-LF) : mise sous svn du repertoire TEST_PROD, renommé en "LMDZ_config"
-
-2023-06 (AS) : Ajout de l'option "veget=7994", pour ORCHIDEE trunk correspondant à la config libIGCM LMDZOR_6.4work 
-      	Le routage (méthode = simple) est désactivé par défaut ; 
-      	il peut être activé comme décrit dans la section "ORCHIDEE-routage". 
-	Le routage n’a pas été testé avec zoom.
-
-2023-05 (AS) : optimisation du functionnement de l'option isotopes : tout géré par phys=lmdiso
+2023-07 (AS-FH-LF) : mise sous svn du repertoire TEST_PROD, renommé en
+    "LMDZ_config" puis "LMDZ_Setup"
+
+2023-06 (AS) : Ajout de l'option "veget=7994", pour ORCHIDEE trunk
+    correspondant à la config libIGCM LMDZOR_6.4work 
+    Le routage (méthode = simple) est désactivé par défaut ; 
+    il peut être activé comme décrit dans la section "ORCHIDEE-routage". 
+    Le routage n’a pas été testé avec zoom.
+
+2023-05 (AS) : optimisation du functionnement de l'option isotopes :
+    tout géré par phys=lmdiso
 
 2023-04 (S Nguyen) : introducing the option of running with isotopes)
-	
-2021-10 (AS): introducing the option of using the new snow scheme INLANDSIS (setup.sh)
-	Option not active yet, E Vignon will take care of that.
+
+2021-10 (AS): introducing the option of using the new snow scheme INLANDSIS
+    (setup.sh) Option not active yet, E Vignon will take care of that.
+
+2021-05 : New version with SPLA
 
 2020 (AS): introducing the possibility to run with SPLA aerosol model 
@@ -175,5 +181,13 @@
 VI. TBD
 ============================================================
-See documentation (link of the shared google doc in the beginning of this Readme)
+
+Better managment of DEF files
+
+Inclusion of Dynamico
+
+
+============================================================
+Appendix
+============================================================
 
 
@@ -186,11 +200,14 @@
     XXX+:1
 
-On rapatrie automatiquement des champs nécessaires pour les dernières versions d'orchidee
-PFTmap_IPCC_2000.nc cartepente2d_15min.nc routing.nc routing_simple.nc lai2D.nc \
-alb_bg_modisopt_2D_ESA_v2.nc reftemp.nc \
-soils_param.nc woodharvest_2000.nc PFTmap_15PFT.v1_2000.nc soil_bulk_and_ph.nc  \
-
-Les deriners fichiers sont nécessaires seulement
-ndep_nhx.nc ndep_noy.nc nfert_cropland.nc nfert_pasture.nc nmanure_cropland.nc nmanure_pasture.nc bnf.nc" ;;
+On rapatrie automatiquement des champs nécessaires pour les dernières
+versions d'orchidee
+PFTmap_IPCC_2000.nc cartepente2d_15min.nc routing.nc routing_simple.nc
+lai2D.nc alb_bg_modisopt_2D_ESA_v2.nc reftemp.nc 
+soils_param.nc woodharvest_2000.nc PFTmap_15PFT.v1_2000.nc soil_bulk_and_ph.nc  
+
+Les deriners fichiers sont nécessaires seulement pour les version azotées.
+ndep_nhx.nc ndep_noy.nc nfert_cropland.nc nfert_pasture.nc nmanure_cropland.nc
+nmanure_pasture.nc bnf.nc"
+Elles sont cependant rapatriées systématiquement par souci de simplicité.
 
 
@@ -199,5 +216,6 @@
 --------------------------------------
 Pour l'instant on copie là-dedans de chez Binta les fichiers a la res zoomNaf;
-plus tard on y recupererea des fichiers a haute resolution reguliere depuis http:/LMDZ,
+plus tard on y recupererea des fichiers a haute resolution reguliere depuis
+http:/LMDZ,
 a regrider ensuite par un script interp_fichiers_spla.sh (comme pour aerosols="clim")
 Les fichiers (regrides, sauf SOILSPEC.data utilise tel quel) seront mis dans $MAINDIR/INPUT_SPLA (equivalent de INPUT_DUST)