Index: /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5472)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5473)
@@ -2001,5 +2001,6 @@
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_dtr_sat(:)
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_dtr_uscav(:)
-  TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_dtr_wet_con(:)
+  TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_dtr_wet_cv(:)
+  TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_dtr_wet(:)
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_dtr_dry(:)
 
Index: /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 5472)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 5473)
@@ -172,5 +172,5 @@
     ALLOCATE(o_dtr_evapls(nqtot),o_dtr_ls(nqtot),o_dtr_trsp(nqtot))
     ALLOCATE(o_dtr_sscav(nqtot),o_dtr_sat(nqtot),o_dtr_uscav(nqtot))
-    ALLOCATE(o_dtr_wet_con(nqtot))
+    ALLOCATE(o_dtr_wet_cv(nqtot), o_dtr_wet(nqtot))
     ALLOCATE(o_dtr_dry(nqtot),o_dtr_vdf(nqtot))
 IF (CPPKEY_STRATAER) THEN
@@ -542,5 +542,7 @@
 
             lnam = 'tracer convective wet deposition'//TRIM(tracers(iq)%longName)
-            tnam = TRIM(dn)//'wet_con';       o_dtr_wet_con       (itr) = ctrl_out(flag, tnam, lnam, "-", [('',i=1,nfiles)])
+            tnam = TRIM(dn)//'wet_cv';       o_dtr_wet_cv       (itr) = ctrl_out(flag, tnam, lnam, "-", [('',i=1,nfiles)])
+            lnam = 'tracer total wet deposition'//TRIM(tracers(iq)%longName)
+            tnam = TRIM(dn)//'wet';       o_dtr_wet       (itr) = ctrl_out(flag, tnam, lnam, "-", [('',i=1,nfiles)])
             lnam = 'tracer tendency dry deposition'//TRIM(tracers(iq)%longName)
             tnam = 'cum'//TRIM(dn)//'dry';  o_dtr_dry       (itr) = ctrl_out(flag, tnam, lnam, "-", [('',i=1,nfiles)])
Index: /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5472)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5473)
@@ -6,5 +6,6 @@
   USE phytrac_mod, ONLY : d_tr_cl, d_tr_th, d_tr_cv, d_tr_lessi_impa, &
        d_tr_lessi_nucl, d_tr_insc, d_tr_bcscav, d_tr_evapls, d_tr_ls,  &
-       d_tr_trsp, d_tr_sscav, d_tr_sat, d_tr_uscav, flux_tr_wet, flux_tr_dry
+       d_tr_trsp, d_tr_sscav, d_tr_sat, d_tr_uscav,  &
+       flux_tr_wet_cv, flux_tr_wet, flux_tr_dry
 
   ! Author: Abderrahmane IDELKADI (original include file)
@@ -189,5 +190,5 @@
          o_dtr_insc, o_dtr_bcscav, o_dtr_evapls, &
          o_dtr_ls, o_dtr_trsp, o_dtr_sscav, o_dtr_dry, &
-         o_dtr_sat, o_dtr_uscav, o_dtr_wet_con, & 
+         o_dtr_sat, o_dtr_uscav, o_dtr_wet_cv, o_dtr_wet, & 
          o_trac_cum, o_du_gwd_rando, o_dv_gwd_rando, &
          o_ustr_gwd_hines,o_vstr_gwd_hines,o_ustr_gwd_rando,o_vstr_gwd_rando, &
@@ -2857,5 +2858,6 @@
              CALL histwrite_phy(o_dtr_uscav(itr),d_tr_uscav(:,:,itr))
             !--2D fields
-             CALL histwrite_phy(o_dtr_wet_con(itr), flux_tr_wet(:,itr))
+             CALL histwrite_phy(o_dtr_wet_cv(itr), flux_tr_wet_cv(:,itr))
+             CALL histwrite_phy(o_dtr_wet(itr), flux_tr_wet(:,itr))
              CALL histwrite_phy(o_dtr_dry(itr), flux_tr_dry(:,itr))
              zx_tmp_fi2d=0.
Index: /LMDZ6/trunk/libf/phylmd/phytrac_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phytrac_mod.f90	(revision 5472)
+++ /LMDZ6/trunk/libf/phylmd/phytrac_mod.f90	(revision 5473)
@@ -35,5 +35,6 @@
   REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_sat
   REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_uscav
-  REAL,DIMENSION(:,:),ALLOCATABLE,SAVE   :: flux_tr_wet ! tracer wet deposit (surface)                    jyg
+  REAL,DIMENSION(:,:),ALLOCATABLE,SAVE   :: flux_tr_wet    ! tracer wet deposit (surface)                    jyg
+  REAL,DIMENSION(:,:),ALLOCATABLE,SAVE   :: flux_tr_wet_cv ! tracer convective wet deposit (surface)         jyg
   REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: qPr,qDi ! concentration tra dans pluie,air descente insaturee
   REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: qPa,qMel
@@ -48,5 +49,6 @@
 
 !$OMP THREADPRIVATE(qPa,qMel,qTrdi,dtrcvMA,d_tr_th,d_tr_lessi_impa,d_tr_lessi_nucl)
-!$OMP THREADPRIVATE(d_tr_trsp,d_tr_sscav,d_tr_sat,d_tr_uscav,flux_tr_wet,qPr,qDi)
+!$OMP THREADPRIVATE(d_tr_trsp,d_tr_sscav,d_tr_sat,d_tr_uscav)
+!$OMP THREADPRIVATE(flux_tr_wet,flux_tr_wet_cv,qPr,qDi)
 !$OMP THREADPRIVATE(d_tr_insc,d_tr_bcscav,d_tr_evapls,d_tr_ls,qPrls)
 !$OMP THREADPRIVATE(d_tr_cl,d_tr_dry,flux_tr_dry,d_tr_dec,d_tr_cv)
@@ -69,5 +71,5 @@
     ALLOCATE(d_tr_sscav(klon,klev,nbtr),d_tr_sat(klon,klev,nbtr))
     ALLOCATE(d_tr_uscav(klon,klev,nbtr),qPr(klon,klev,nbtr),qDi(klon,klev,nbtr))
-    ALLOCATE(flux_tr_wet(klon,nbtr))
+    ALLOCATE(flux_tr_wet(klon,nbtr),flux_tr_wet_cv(klon,nbtr))
     ALLOCATE(qPa(klon,klev,nbtr),qMel(klon,klev,nbtr))
     ALLOCATE(qTrdi(klon,klev,nbtr),dtrcvMA(klon,klev,nbtr))
@@ -411,4 +413,5 @@
           flux_tr_dry(i,it)=0.
           flux_tr_wet(i,it)=0.
+          flux_tr_wet_cv(i,it)=0.
        ENDDO
     ENDDO
@@ -700,12 +703,12 @@
                 !--with the full array tr_seri even if only item it is processed
 
-                CALL cvltr_scav(pdtphys, da, phi,phi2,d1a,dam, mp,ep,                &
-                     sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,                     &     
-                     pmflxr,pmflxs,evap,t_seri,wdtrainA,wdtrainM,                    &   
-                     paprs,it,tr_seri,upwd,dnwd,itop_con,ibas_con,                   &
-                     ccntrAA_3d,ccntrENV_3d,coefcoli_3d,                             &
-                     d_tr_cv,d_tr_trsp,d_tr_sscav,d_tr_sat,d_tr_uscav,flux_tr_wet,   &
-                     qDi,qPr,                                                        &
-                     qPa,qMel,qTrdi,dtrcvMA,Mint,                                    &
+                CALL cvltr_scav(pdtphys, da, phi,phi2,d1a,dam, mp,ep,                 &
+                     sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,                      &    
+                     pmflxr,pmflxs,evap,t_seri,wdtrainA,wdtrainM,                     &  
+                     paprs,it,tr_seri,upwd,dnwd,itop_con,ibas_con,                    &
+                     ccntrAA_3d,ccntrENV_3d,coefcoli_3d,                              &
+                     d_tr_cv,d_tr_trsp,d_tr_sscav,d_tr_sat,d_tr_uscav,flux_tr_wet_cv, &
+                     qDi,qPr,                                                         &
+                     qPa,qMel,qTrdi,dtrcvMA,Mint,                                     &
                      zmfd1a,zmfphi2,zmfdam)
 
@@ -923,4 +926,10 @@
                            beta_v1,pplay,paprs,t_seri,tr_seri,d_tr_insc,d_tr_bcscav,d_tr_evapls,qPrls)
 
+             !total wet deposit = large scale wet deposit + convective wet deposit
+             DO i = 1, klon
+               flux_tr_wet(i, it) = flux_tr_wet_cv(i, it) + &
+                                    qPrls(i, it)*(prfl(i, 1)+psfl(i, 1))*pdtphys
+             ENDDO  ! i = 1, klon
+
              !large scale scavenging tendency
              DO k = 1, klev