Index: /LMDZ6/trunk/libf/dyn3d_common/infotrac.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/infotrac.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/dyn3d_common/infotrac.f90	(revision 5481)
@@ -78,6 +78,4 @@
 !  | nqChildren  | Number of childs            (1st generation only)    | nqfils      | 1:nqtot                |
 !  | iadv        | Advection scheme number                              | iadv        | 1,2,10-20(exc.15,19),30|
-!  | isAdvected  | Advected tracers flag (.TRUE. if iadv >= 0)          | /           | nqtrue  .TRUE. values  |
-!  | isInPhysics | Tracers not extracted from the main table in physics | /           | nqtottr .TRUE. values  |
 !  | iso_iGroup  | Isotopes group index in isotopes(:)                  | /           | 1:nbIso                |
 !  | iso_iName   | Isotope  name  index in isotopes(iso_iGroup)%trac(:) | iso_indnum  | 1:niso                 |
@@ -260,5 +258,5 @@
 
 !==============================================================================================================================
-! 3) Determine the advection scheme choice for water and tracers "iadv" and the fields long name, isAdvected.
+! 3) Determine the advection scheme choice for water and tracers "iadv" and the field "long name".
 !     iadv = 1    "LMDZ-specific humidity transport" (for H2O vapour)          LMV
 !     iadv = 2    backward                           (for H2O liquid)          BAK
@@ -278,5 +276,5 @@
 !==============================================================================================================================
    ALLOCATE(ttr(nqtot))
-   jq = nqtrue+1; tracers(:)%iadv = -1
+   jq = nqtrue+1
    DO iq = 1, nqtrue
       t1 => tracers(iq)
@@ -289,9 +287,7 @@
       IF(iad == -1) CALL abort_gcm(modname, msg1, 1)
 
-      !--- SET FIELDS longName, iadv, isAdvected, isInPhysics
+      !--- SET FIELDS longName and iadv
       t1%longName   = t1%name; IF(iad > 0) t1%longName=TRIM(t1%name)//descrq(iad)
       t1%iadv       = iad
-      t1%isAdvected = iad >= 0
-      t1%isInPhysics= delPhase(t1%gen0Name) /= 'H2O' .OR. t1%component /= 'lmdz' !=== MORE EXCEPTIONS ? CO2i, SURSAT CLOUD H2O
       ttr(iq)       = t1
 
@@ -307,5 +303,4 @@
       ttr(jq+1:jq+nm)%longName    = [ (TRIM(t1%longName)//'-'//TRIM(suff(im)), im=1, nm) ]
       ttr(jq+1:jq+nm)%iadv        = [ (-iad,    im=1, nm) ]
-      ttr(jq+1:jq+nm)%isAdvected  = [ (.FALSE., im=1, nm) ]
       jq = jq + nm
    END DO
Index: /LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90	(revision 5481)
@@ -279,5 +279,5 @@
   itr=0
   DO iq=1,nqtot
-     IF(.NOT.tracers(iq)%isAdvected) CYCLE
+     IF(tracers(iq)%iadv < 0) CYCLE
      itr = itr + 1
      DO l=1,llm
@@ -597,5 +597,5 @@
   itr = 0
   DO iq=1,nqtot
-     IF(.NOT.tracers(iq)%isAdvected) CYCLE
+     IF(tracers(iq)%iadv < 0) CYCLE
      itr = itr + 1
      DO l=1,llm
Index: /LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5480)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5481)
@@ -356,5 +356,5 @@
   itr = 0
   DO iq=1,nqtot
-     IF(.NOT.tracers(iq)%isAdvected) CYCLE
+     IF(tracers(iq)%iadv < 0) CYCLE
      itr = itr + 1
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1059,5 +1059,5 @@
   itr = 0
   DO iq=1,nqtot
-     IF(.NOT.tracers(iq)%isAdvected) CYCLE
+     IF(tracers(iq)%iadv < 0) CYCLE
      itr = itr + 1
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: /LMDZ6/trunk/libf/misc/readTracFiles_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/misc/readTracFiles_mod.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/misc/readTracFiles_mod.f90	(revision 5481)
@@ -61,5 +61,4 @@
     INTEGER               :: nqChildren  = 0                    !--- Number of children  (first generation)
     INTEGER               :: iadv        = 10                   !--- Advection scheme used
-    LOGICAL               :: isAdvected  = .FALSE.              !--- "true" tracers: iadv > 0.   COUNT(isAdvected )=nqtrue
     LOGICAL               :: isInPhysics = .TRUE.               !--- "true" tracers: in tr_seri. COUNT(isInPhysics)=nqtottr
     INTEGER               :: iso_iGroup  = 0                    !--- Isotopes group index in isotopes(:)
@@ -185,5 +184,5 @@
 !     * The "keys" component (of type keys_type) is in principle enough to store everything we could need.
 !     But some variables are stored as direct-access keys to make the code more readable and because they are used often.
-!     * Most of the direct-access keys are set in this module, but some are not (longName, iadv, isAdvected for now).
+!     * Most of the direct-access keys are set in this module, but some are not (longName, iadv and isInPhysicsfor now).
 !     * Some of the direct-access keys must be updated (using the routine "setDirectKeys") is a subset of "tracers(:)"
 !     is extracted: the indexes are no longer valid for a subset (examples: iqParent, iqDescen).
Index: /LMDZ6/trunk/libf/misc/wxios_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/misc/wxios_mod.F90	(revision 5480)
+++ /LMDZ6/trunk/libf/misc/wxios_mod.F90	(revision 5481)
@@ -188,5 +188,5 @@
       ! On boucle sur les traceurs pour les ajouter au groupe puis fixer les attributs
       DO iq = 1, nqtot
-         IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+         IF(.NOT.tracers(iq)%isInPhysics) CYCLE
          dn = 'd'//TRIM(tracers(iq)%name)//'_'
 
@@ -241,5 +241,5 @@
       ! On boucle sur les traceurs pour les ajouter au groupe puis fixer les attributs
       DO iq = 1, nqtot
-         IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+         IF(.NOT.tracers(iq)%isInPhysics) CYCLE
          
          unt = "kg m-2"
Index: /LMDZ6/trunk/libf/phydev/infotrac_phy.f90
===================================================================
--- /LMDZ6/trunk/libf/phydev/infotrac_phy.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/phydev/infotrac_phy.f90	(revision 5481)
@@ -32,5 +32,4 @@
     TYPE(keys_type)       :: keys                          !--- <key>=<val> pairs vector
     INTEGER               :: iadv        = 10              !--- Advection scheme used
-    LOGICAL               :: isAdvected  = .FALSE.         !--- "true" tracers: iadv > 0.   COUNT(isAdvected )=nqtrue
     LOGICAL               :: isInPhysics = .TRUE.          !--- "true" tracers: in tr_seri. COUNT(isInPhysics)=nqtottr
     INTEGER               :: iso_iGroup  = 0               !--- Isotopes group index in isotopes(:)
Index: /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 5481)
@@ -80,6 +80,5 @@
 !  | nqDescen    | Number of the descendants   (all generations)        | nqdesc      | 1:nqtot                |
 !  | nqChildren  | Number of childs            (1st generation only)    | nqfils      | 1:nqtot                |
-!  | isAdvected  | Advected tracers flag (.TRUE. if iadv >= 0)          | /           | nqtrue  .TRUE. values  |
-!  | isInPhysics | Tracers not extracted from the main table in physics | /           | nqtottr .TRUE. values  |
+!  | isInPhysics | Advected tracers from the main table kept in physics | /           | nqtottr .TRUE. values  |
 !  | iso_iGroup  | Isotopes group index in isotopes(:)                  | /           | 1:nbIso                |
 !  | iso_iName   | Isotope  name  index in isotopes(iso_iGroup)%trac(:) | iso_indnum  | 1:niso                 |
@@ -284,8 +283,8 @@
 
 !==============================================================================================================================
-! 3) Determine the advection scheme ; needed to compute the full tracers list, the long names, nqtot and %isAdvected
+! 3) Determine the advection scheme ; needed to compute the full tracers list, the long names and nqtot
 !==============================================================================================================================
    ALLOCATE(ttr(nqtot))
-   jq = nqtrue+1; tracers(:)%iadv = -1
+   jq = nqtrue+1
    DO iq = 1, nqtrue
       t1 => tracers(iq)
@@ -298,8 +297,7 @@
       IF(iad == -1) CALL abort_physic(modname, msg1, 1)
 
-      !--- SET FIELDS longName, isAdvected, isInPhysics
+      !--- SET FIELDS longName, isInPhysics
       t1%longName   = t1%name; IF(iad > 0) t1%longName=TRIM(t1%name)//descrq(iad)
-      t1%isAdvected = iad >= 0
-      t1%isInPhysics= delPhase(t1%gen0Name) /= 'H2O' .OR. t1%component /= 'lmdz' !=== MORE EXCEPTIONS ? CO2i, SURSAT CLOUD H2O
+      t1%isInPhysics= iad >= 0 .AND. (delPhase(t1%gen0Name) /= 'H2O' .OR. t1%component /= 'lmdz')
       ttr(iq)       = t1
 
@@ -314,5 +312,4 @@
       ttr(jq+1:jq+nm)%parent      = [ (TRIM(t1%parent)  //'-'//TRIM(suff(im)), im=1, nm) ]
       ttr(jq+1:jq+nm)%longName    = [ (TRIM(t1%longName)//'-'//TRIM(suff(im)), im=1, nm) ]
-      ttr(jq+1:jq+nm)%isAdvected  = [ (.FALSE., im=1, nm) ]
       ttr(jq+1:jq+nm)%isInPhysics = [ (.FALSE., im=1, nm) ]
       jq = jq + nm
@@ -383,8 +380,7 @@
    t => tracers
    CALL msg('Information stored in '//TRIM(modname)//': ', modname)
-   IF(dispTable('isssssssssiiiiiiii', ['iq  ', 'name', 'lNam', 'g0Nm', 'prnt', 'type', 'phas', 'comp',     &
-                       'isPh', 'isAd', 'iGen', 'iqPr', 'nqDe', 'nqCh', 'iGrp', 'iNam', 'iZon', 'iPha'],    &
-      cat(t%name, t%longName, t%gen0Name, t%parent, t%type, t%phase, t%component,                          &
-                                                         bool2str(t%isInPhysics), bool2str(t%isAdvected)), &
+   IF(dispTable('issssssssiiiiiiii', ['iq  ', 'name', 'lNam', 'g0Nm', 'prnt', 'type', 'phas', 'comp',      &
+                              'isPh', 'iGen', 'iqPr', 'nqDe', 'nqCh', 'iGrp', 'iNam', 'iZon', 'iPha'],     &
+      cat(t%name, t%longName, t%gen0Name, t%parent, t%type, t%phase, t%component, bool2str(t%isInPhysics)),&
       cat([(iq, iq=1, nqtot)], t%iGeneration, t%iqParent, t%nqDescen, t%nqChildren, t%iso_iGroup,          &
                   t%iso_iName, t%iso_iZone, t%iso_iPhase), nColMax=maxTableWidth, nHead=2, sub=modname))   &
Index: /LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90	(revision 5481)
@@ -525,5 +525,5 @@
      it = 0
      DO iq = 1, nqtot
-        IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+        IF(.NOT.tracers(iq)%isInPhysics) CYCLE
         it = it+1
         tname = tracers(iq)%name
Index: /LMDZ6/trunk/libf/phylmd/phyredem.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyredem.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmd/phyredem.f90	(revision 5481)
@@ -356,5 +356,5 @@
        it = 0
        DO iq = 1, nqtot
-          IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+          IF(.NOT.tracers(iq)%isInPhysics) CYCLE
           it = it+1
           CALL put_field(pass,"trs_"//tracers(iq)%name, "", trs(:, it))
Index: /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 5481)
@@ -513,5 +513,5 @@
           itr = 0; itrb = 0
           DO iq = 1, nqtot 
-            IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+            IF(.NOT.tracers(iq)%isInPhysics) CYCLE
             itr = itr + 1
             dn = 'd'//TRIM(tracers(iq)%name)//'_'
@@ -638,5 +638,5 @@
 
 !  DO iq=1,nqtot
-!    IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+!    IF(.NOT.tracers(iq)%isInPhysics) CYCLE
 !    WRITE(*,'(a,i1,a,10i3)')'trac(',iq,')%flag = ',o_trac(iq)%flag
 !    WRITE(*,'(a,i1,a)')'trac(',iq,')%name = '//TRIM(o_trac(iq)%name)
Index: /LMDZ6/trunk/libf/phylmd/traclmdz_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/traclmdz_mod.f90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmd/traclmdz_mod.f90	(revision 5481)
@@ -261,5 +261,5 @@
     it = 0
     DO iq = 1, nqtot
-       IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+       IF(.NOT.tracers(iq)%isInPhysics) CYCLE
        it = it+1
        ! Test if tracer is zero everywhere. 
@@ -310,5 +310,5 @@
     
     USE yomcst_mod_h
-USE dimphy
+    USE dimphy
     USE infotrac_phy, ONLY: nbtr, pbl_flg
     USE strings_mod,  ONLY: int2str
Index: /LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5481)
@@ -549,5 +549,5 @@
      it = 0
      DO iq = 1, nqtot
-        IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+        IF(.NOT.tracers(iq)%isInPhysics) CYCLE
         it = it+1
         tname = tracers(iq)%name
Index: /LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5480)
+++ /LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5481)
@@ -370,5 +370,5 @@
        it = 0
        DO iq = 1, nqtot
-          IF(.NOT.(tracers(iq)%isAdvected .AND. tracers(iq)%isInPhysics)) CYCLE
+          IF(.NOT.tracers(iq)%isInPhysics) CYCLE
           it = it+1
           CALL put_field(pass,"trs_"//tracers(iq)%name, "", trs(:, it))