Index: /LMDZ6/trunk/libf/phylmd/concvl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/concvl.f90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/concvl.f90	(revision 5491)
@@ -11,8 +11,9 @@
                   pbase, bbase, dtvpdt1, dtvpdq1, dplcldt, dplcldr, &
                   qcondc, wd, pmflxr, pmflxs, &
+                  coef_clos, coef_clos_eff, &
 !RomP >>>
 !!     .             da,phi,mp,dd_t,dd_q,lalim_conv,wght_th)
                   da, phi, mp, phii, d1a, dam, sij, qta, clw, elij, &! RomP
-                  dd_t, dd_q, lalim_conv, wght_th, &                 ! RomP
+                  dd_t, dd_q, lalim_conv, wght_th,                  &! RomP
                   evap, ep, epmlmMm, eplaMm, &                       ! RomP
                   wdtrainA, wdtrainS, wdtrainM, wght, qtc, sigt, detrain, &
@@ -132,4 +133,5 @@
   REAL, DIMENSION(klon),        INTENT(OUT)     :: wd
   REAL, DIMENSION(klon,klev+1), INTENT(OUT)     :: pmflxr, pmflxs
+  REAL, DIMENSION(klon),        INTENT(OUT)     :: coef_clos, coef_clos_eff
 
   REAL, DIMENSION(klon,klev),   INTENT(OUT)     :: da, mp
@@ -430,5 +432,7 @@
                     cape, cin, tvp, &
                     dd_t, dd_q, plim1, plim2, asupmax, supmax0, &
-                    asupmaxmin, lalim_conv, &
+                    asupmaxmin, &
+                    coef_clos, coef_clos_eff, &
+                    lalim_conv, &
 !AC!+!RomP+jyg
 !!                   da,phi,mp,phii,d1a,dam,sij,clw,elij, &               ! RomP
Index: /LMDZ6/trunk/libf/phylmd/cv3a_uncompress.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cv3a_uncompress.f90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/cv3a_uncompress.f90	(revision 5491)
@@ -1,2 +1,4 @@
+! $Id$
+
 SUBROUTINE cv3a_uncompress(nloc, len, ncum, nd, ntra, idcum, compress, &
                            iflag, kbas, ktop, &
@@ -9,4 +11,5 @@
                            plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, &
+                           coef_clos, coef_clos_eff, &
                            da, phi, mp, phi2, d1a, dam, sigij, &                ! RomP+AC+jyg
                            qta, clw, elij, evap, ep, epmlmMm, eplaMm, &         ! RomP+jyg
@@ -23,4 +26,5 @@
                            plim11, plim21, asupmax1, supmax01, &
                            asupmaxmin1, &
+                           coef_clos1, coef_clos_eff1, &
                            da1, phi1, mp1, phi21, d1a1, dam1, sigij1, &         ! RomP+AC+jyg
                            qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &  ! RomP+jyg
@@ -68,4 +72,5 @@
   REAL, DIMENSION (nloc, nd), INTENT (IN)            :: asupmax
   REAL, DIMENSION (nloc), INTENT (IN)                :: supmax0, asupmaxmin
+  REAL, DIMENSION (nloc), INTENT (IN)                :: coef_clos, coef_clos_eff
 
   REAL, DIMENSION (nloc, nd), INTENT (IN)            :: da
@@ -105,4 +110,5 @@
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: asupmax1
   REAL, DIMENSION (len), INTENT (OUT)                :: supmax01, asupmaxmin1
+  REAL, DIMENSION (len), INTENT (OUT)                :: coef_clos1, coef_clos_eff1
                                                     
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: da1
@@ -149,4 +155,6 @@
       supmax01(idcum(i)) = supmax0(i)
       asupmaxmin1(idcum(i)) = asupmaxmin(i)
+      coef_clos1(idcum(i)) = coef_clos(i)
+      coef_clos_eff1(idcum(i)) = coef_clos_eff(i)
       epmax_diag1(idcum(i)) = epmax_diag(i)
     END DO
@@ -282,4 +290,6 @@
       supmax01(:) = supmax0(:)
       asupmaxmin1(:) = asupmaxmin(:)
+      coef_clos1(:) = coef_clos(:)
+      coef_clos_eff1(:) = coef_clos_eff(:)
 !
       sig1(:, 1:nl) = sig(:, 1:nl)
Index: /LMDZ6/trunk/libf/phylmd/cv3p1_closure.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cv3p1_closure.f90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/cv3p1_closure.f90	(revision 5491)
@@ -4,6 +4,6 @@
 SUBROUTINE cv3p1_closure(nloc, ncum, nd, icb, inb, pbase, plcl, p, ph, tv, &
     tvp, buoy, supmax, ok_inhib, ale, alp, omega,sig, w0, ptop2, cape, cin, m, &
-    iflag, coef, plim1, plim2, asupmax, supmax0, asupmaxmin, cbmf, plfc, &
-    wbeff)
+    iflag, coef, coeftrue, plim1, plim2, asupmax, supmax0, asupmaxmin, &
+    cbmf, plfc, wbeff)
 
 
@@ -48,4 +48,5 @@
   REAL, DIMENSION (nloc), INTENT (OUT)               :: cape, cin
   REAL, DIMENSION (nloc, nd), INTENT (OUT)           :: m
+  REAL, DIMENSION (nloc), INTENT (OUT)               :: coef, coeftrue
   REAL, DIMENSION (nloc), INTENT (OUT)               :: plim1, plim2
   REAL, DIMENSION (nloc, nd), INTENT (OUT)           :: asupmax
@@ -74,5 +75,4 @@
   REAL cbmflim(nloc), cbmf1(nloc), cbmfmax(nloc)
   REAL cbmflast(nloc)
-  REAL coef(nloc)
   REAL xp(nloc), xq(nloc), xr(nloc), discr(nloc), b3(nloc), b4(nloc)
   REAL theta(nloc), bb(nloc)
@@ -598,4 +598,5 @@
   DO il = 1, ncum
     coef(il) = (cbmf(il)+1.E-10)/(cbmflim(il)+1.E-10)
+    coeftrue(il) = coef(il)
   END DO
   IF (prt_level>=20) PRINT *, 'cv3p1_param apres coef_plantePLUS'
Index: /LMDZ6/trunk/libf/phylmd/cva_driver.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cva_driver.f90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/cva_driver.f90	(revision 5491)
@@ -21,4 +21,5 @@
                       ftd1, fqd1, &
                       Plim11, Plim21, asupmax1, supmax01, asupmaxmin1, &
+                      coef_clos1, coef_clos_eff1, &
                       lalim_conv1, & 
 !!                      da1,phi1,mp1,phi21,d1a1,dam1,sigij1,clw1, &        ! RomP
@@ -249,4 +250,5 @@
   REAL, DIMENSION (len), INTENT (OUT)                :: supmax01
   REAL, DIMENSION (len), INTENT (OUT)                :: asupmaxmin1
+  REAL, DIMENSION (len), INTENT (OUT)                :: coef_clos1, coef_clos_eff1
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: qtc1    ! in cloud water content (intensive)   ! cld
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: sigt1   ! fract. cloud area (intensive)        ! cld
@@ -495,5 +497,5 @@
   REAL elij(nloc, nd, nd)
   REAL supmax(nloc, nd)
-  REAL Ale(nloc), Alp(nloc), coef_clos(nloc)
+  REAL Ale(nloc), Alp(nloc), coef_clos(nloc), coef_clos_eff(nloc)
   REAL omega(nloc,nd)
   REAL sigd(nloc)
@@ -679,4 +681,5 @@
   DO il = 1, nloc
     coef_clos(il) = 1.
+    coef_clos_eff(il) = 1.
   END DO
 
@@ -1003,5 +1006,6 @@
                            pbase, plcl, p, ph, tv, tvp, buoy, &
                            supmax, ok_inhib, Ale, Alp, omega, &
-                           sig, w0, ptop2, cape, cin, m, iflag, coef_clos, &
+                           sig, w0, ptop2, cape, cin, m, iflag, &
+                           coef_clos_eff, coef_clos, &
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, cbmf, plfc, wbeff)
@@ -1016,5 +1020,5 @@
                            pbase, plcl, p, ph, tv, tvp, buoy, &
                            supmax, ok_inhib, Ale, Alp, omega, &
-                           sig, w0, ptop2, cape, cin, m, iflag, coef_clos, &
+                           sig, w0, ptop2, cape, cin, m, iflag, coef_clos_eff, &
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, cbmf, plfc, wbeff)
@@ -1091,5 +1095,5 @@
                      th_wake, tv_wake, lv_wake, lf_wake, cpn_wake, &
                      ep, sigp, clw, frac_s, qpreca, frac_a, qta, &                    !!jygprl
-                     m, ment, elij, delt, plcl, coef_clos, &
+                     m, ment, elij, delt, plcl, coef_clos_eff, &
                      mp, qp, up, vp, trap, wt, water, evap, fondue, ice, &
                      faci, b, sigd, &
@@ -1218,4 +1222,5 @@
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, &
+                           coef_clos, coef_clos_eff, &
                            da, phi, mp, phi2, d1a, dam, sigij, &         ! RomP
                            qta, clw, elij, evap, ep, epmlmMm, eplaMm, &  ! RomP
@@ -1231,4 +1236,5 @@
                            Plim11, plim21, asupmax1, supmax01, &
                            asupmaxmin1, &
+                           coef_clos1, coef_clos_eff1, &
                            da1, phi1, mp1, phi21, d1a1, dam1, sigij1,  &       ! RomP
                            qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, & ! RomP
Index: /LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 5491)
@@ -496,4 +496,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: proba_notrig, random_notrig
 !$OMP THREADPRIVATE(proba_notrig, random_notrig)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: coef_clos, coef_clos_eff
+!$OMP THREADPRIVATE(coef_clos, coef_clos_eff)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: fsolsw, wfbils
 !$OMP THREADPRIVATE(fsolsw, wfbils)
@@ -1102,4 +1104,5 @@
       alp_bl_stat(:)=0
       ALLOCATE(proba_notrig(klon), random_notrig(klon))
+      ALLOCATE(coef_clos(klon), coef_clos_eff(klon))
 
       ALLOCATE(dnwd0(klon, klev))
@@ -1520,4 +1523,5 @@
       DEALLOCATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
       DEALLOCATE(proba_notrig, random_notrig)
+      DEALLOCATE(coef_clos, coef_clos_eff)
 !FC
       DEALLOCATE(zxfluxq,zxfluxt)
Index: /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5491)
@@ -930,4 +930,10 @@
   TYPE(ctrl_out), SAVE :: o_wape = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
     'wape', '', 'm2/s2', (/ ('', i=1, 10) /))
+!!
+  TYPE(ctrl_out), SAVE :: o_coef_clos = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
+    'coef_clos', 'closure coefficient', '', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_coef_clos_eff = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
+    'coef_clos_eff', 'effective closure coefficient', '', (/ ('', i=1, 10) /))
+
 
 !!! nrlmd le 10/04/2012
Index: /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5491)
@@ -107,4 +107,5 @@
          o_alp_bl_fluct_m, o_alp_bl_fluct_tke, &
          o_alp_bl_conv, o_alp_bl_stat, &
+         o_coef_clos, o_coef_clos_eff, &
          o_slab_qflux, o_tslab, o_slab_bils, &
          o_slab_bilg, o_slab_sic, o_slab_tice, &
@@ -343,4 +344,5 @@
          wake_h, &
          wake_omg, d_t_wake, d_q_wake, Vprecip, qtaa, Clw, &
+         coef_clos, coef_clos_eff, &
          wdtrainA, wdtrainS, wdtrainM, n2, s2, strig, zcong, zlcl_th, proba_notrig, &
          random_notrig, &
@@ -1451,4 +1453,6 @@
           CALL histwrite_phy(o_cape_max, cape)
 
+          CALL histwrite_phy(o_coef_clos, coef_clos)
+          CALL histwrite_phy(o_coef_clos_eff, coef_clos_eff)
           CALL histwrite_phy(o_upwd, upwd)
           CALL histwrite_phy(o_Ma, Ma)
Index: /LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5490)
+++ /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5491)
@@ -303,4 +303,5 @@
        !    Deep convective variables used in phytrac
        pmflxr, pmflxs,  &
+       coef_clos, coef_clos_eff, &
        wdtrainA, wdtrainS, wdtrainM, wdtrainAS,  &
        upwd, dnwd, &
@@ -3248,5 +3249,7 @@
                                 !!     .        pmflxr,pmflxs,da,phi,mp,
                                 !!     .        ftd,fqd,lalim_conv,wght_th)
-               pmflxr,pmflxs,da,phi,mp,phi2,d1a,dam,sij,qtaa,clw,elij, &
+               pmflxr,pmflxs, &
+               coef_clos, coef_clos_eff, &
+               da,phi,mp,phi2,d1a,dam,sij,qtaa,clw,elij, &
                ftd,fqd,lalim_conv,wght_th, &
                ev, ep,epmlmMm,eplaMm, &